Index: pbx/ael/ael.y
===================================================================
--- pbx/ael/ael.y	(revision 84173)
+++ pbx/ael/ael.y	(working copy)
@@ -204,8 +204,8 @@
 		if (!$5) {
                         ast_log(LOG_WARNING, "==== File: %s, Line %d, Cols: %d-%d: Warning! The empty context %s will be IGNORED!\n", 
 				my_file, @4.first_line, @4.first_column, @4.last_column, $3 );
+			$$ = 0;
 			free($3);
-
 		} else {
 			$$ = npval2(PV_CONTEXT, &@1, &@6);
 			$$->u1.str = $3;
Index: pbx/pbx_ael.c
===================================================================
--- pbx/pbx_ael.c	(revision 84173)
+++ pbx/pbx_ael.c	(working copy)
@@ -109,9 +109,9 @@
 int is_float(char *arg );
 int is_int(char *arg );
 int is_empty(char *arg);
-static pval *current_db;
-static pval *current_context;
-static pval *current_extension;
+static pval *current_db=0;
+static pval *current_context=0;
+static pval *current_extension=0;
 
 static const char *match_context;
 static const char *match_exten;
@@ -2733,6 +2733,8 @@
 #endif
 	struct argapp *apps=0;
 
+	if (!item)
+		return; /* don't check an empty tree */
 #ifdef AAL_ARGCHECK
 	rfilename = alloca(10 + strlen(ast_config_AST_VAR_DIR));
 	sprintf(rfilename, "%s/applist", ast_config_AST_VAR_DIR);
